Release 0.8.2:

- Support through mythprotocol version 69
- Add imageview for recorded screenshot and video details
- Load music in groups of 2000 to avoid timeouts

Release 0.8.1:

- Submission of WebMyth Classic to app catalog

Release 0.8.0:

- Add support for searching for backends
- Add support for MythWeb XML module
- Sort people list by name
- Creation of "WebMyth Classic" for webOS 1.4.5

Release 0.7.9:

- Try to speedup music parsing
- Public app catalog release

Release 0.7.8:

- Fix bug causing Setup Schedule to not load

Release 0.7.7:

- Fix MythWeb correct time on Setup Schedule with plug-in

Release 0.7.6:

- Fix plugin issue for webOS 2.0.1 on Pre2 (finally!!!)

Release 0.7.5:

- Support for mythtv protocol version 65
- Debug mode support in plugin

Release 0.7.4:

- Fix MythWeb correct time on Upcoming details with plug-in
- Check if plugin is initialized before first MySQL query
- Better debug mode (logs all 'info' as 'error' so it gets saved in logs)
- Will open up XML request webpages in browser when in debug mode

Release 0.7.2:

- More logging updates

Release 0.7.2:

- Change how app handles XML data from backend
- Add some extra logging to plugin

Release 0.7.1:

- Fix showing status scene when there were no comments
- Fix beta app issues when MythTV protocol version is 23056
- Power scrolling to changelog
- New debug mode in settings will turn on logging
- App will set master backend and MySQL IP address to webserver address if localhost/127.0.0.1

Release 0.7.0:

- Don't allow script usage in preference for non-beta (non-hybrid)

Release 0.6.9:

- Retry app catalog submission, removing unused localization support

Release 0.6.8:

- Retry app catalog submission

Release 0.6.7:

- Added power scrolling to lists (two-finger scrolling)

Release 0.6.6:

- (Public release in app catalog, no plug-in, had to remove some issues for submitting to app catalog)
- Fix music showing wrong album art
- Warn on leaving music playlist without saving
- Added support for video cast when searching people
- Add back in check for updates

Release 0.6.5:

- (Public release in app catalog, no plug-in)
- Can now refresh recording details scene (updates jobqueue and recording status)
- Better submission of myth protocol version to Metrix

Release 0.6.4:

- (Limited beta release)
- Added ability to search by people (actors, producers, etc)
- Only show encoder names on status scene if names are set
- Error message when looking up missing recording rule (plug-in only)
- Updates to FAQs
- Remove check for updates (built into webOS 2.x)

Release 0.6.3:

- (Limited beta release)
- Fix setup schedule start early/end late when no default set (again)
- Display encoder names on status scheduled list
- Fix downloading videos with ":" (colon) in title/sub-title
- Popup if saving recording rule fails with plug-in

Release 0.6.2:

- (Limited beta release)
- Add MySQL support to plugin - no longer relies on script at all
- Add option to use script if desired
- Popup if master backend IP or MySQL server addresses are local 127.0.0.1
- Cleanup of edit host scene
- Add more global shortcuts
- Fix setup schedule start early/end late when no default set
- Download to /media/internal/video to support playback with homebrew mplayer

Release 0.6.1:

- (Limited beta release)
- Add encoder names to status scene
- Wikipedia now opens language-specific mobile site
- Speed up display of recorded list
- Added menu, info, delete keys to flick remote

Release 0.6.0:

- (Limited beta release)
- First release with new C++ plugin
- Plugin support for frontend remote control and mythprotocol communications
- Still require script for MySQL
- No UPnP support yet to autofind backends

Release 0.5.9:

- Added music playlists support
- Banner notification for conflicting upcoming recordings
- Message if no network connection

Release 0.5.8:

- Fix errors that caused rejection from app catalog submission

Release 0.5.3:

- Add support for localizations/translations - none in use yet
- Hides upcoming list until protocol version is known
- Post mythprotocol version to Metrix
- Fix issue on first install would not get settings from backend, causing some minor display bugs

Release 0.5.2:

- webOS 2.0 release only
- New JS service that replaces remote control and mythprotocol connections with MythTV

Release 0.5.1:

- Fix displaying music list that broke in 0.5.0

Release 0.5.0:

- Added backend log viewer
- Tap header on details scenes scrolls to top
- Update videos directory listing to always link to top directory
- Update status scene to support more encoder statuses

Release 0.4.9:

- Videos list is now sortable by directory structure
- Cleanup flick remote scene code
- Shows when currently recording on recorded scenes

Release 0.4.8:

- Loading status on guide details scene
- Bug fix for loading guide far in past with no matches
- Transparancy on flick remote scene
- Backspace on remote scenes sends 'escape' key
- Can edit frontend hosts

Release 0.4.7:

- Added ability to search full guide by title
- Add 'space' to available remote keyboard keys
- Download or stream music directly from list
- Cleanup of remote scenes code

Release 0.4.6:

- Added (optional) videos coverart
- Added link to setup recording from recorded program
- Bub fix for opening guide from upcoming/recorded
- Queue a new job refreshes jobqueue list for recording
- Status scene now shows user job names
- Remove duplicate settings lookup on setup recording scene
- Can play from upcoming details scene if currently recording
- New color gradient for background
- Added popup notification (part of Metrix system)

Release 0.4.5:

- Added 'upcoming' filter list option of override rules
- Change guide scene to better match other scenes, remove shake-to-refresh
- Add more features to upcoming details more menu
- Fix videos storagegroup gathering on Videos for 0.24 support
- Added ability to queue jobs on recorded programs
- Added recent jobqueue list to recorded details

Release 0.4.4:

- Added ability to steam or download videos to phone (unless videos are encoded for mobile devices, the phone probably won't be able to play them)
- Use SQL table for videos to fix issue with MythTV 0.24
- Can now delete and undelete recordings
- Updates to FAQs
- Tweaks to description text
- Fix sorting of recorded list for programs with multiple recordings for same show

Release 0.4.3:

- Removed shake-to-refresh from status scene
- Optimize settings gathering when app first opens
- Use mythweb as fallback if recording rule failed
- Add userjob names to setup recording scene
- Add option to use script for recorded screenshots (previous default functionality)

Release 0.4.2:

- (Limited beta release)
- Added music album art
- Upcoming list can now show all upcoming, including deactivated
- Add refresh button to status
- Changes to setup recording to better support single quotes (') in rule
- Add ability to change override type between force record/don't record
- Remove shake to refresh when there is a refresh button
- Group buttons on Pixi to better fit screen
- Use old screenshot method when not on WiFi

Release 0.4.1:

- (Limited beta release)
- Remove "check for updates" links
- Limit hostname lookup if not on wi-fi
- Add music (long load time if you have a lot of music)
- Add in-app recording schedule changes (only for currently scheduled items)
- Can force record/dontrecord, never record, forget old, cancel schedule
- Update script to version 7 for music and future recording capabilities

Release 0.4.0:

- Use hostname for video playback when possible
- Added FAQ question for video playback and possible 0.24 support
- Added link to guide from upcoming details scene
- Fix showing correct recorded details for duplicate starttime shows (if recording was restarted, etc)
- Fix bug in preferences not showing correct script file
- Fix bug in updating remote file setting from old app versions

Release 0.3.9:

- Added videos list
- Can sort and group videos
- Added video detail page with limits playback capabilities
- (Playback only works on files available locally or mounted via NFS as local)
- App will now prompt when updates are available going forward (http://www.jdf-software.com/blog/puchk/)

Release 0.3.8:

- Rewrite remote selector bottom menu to make more reliable
- Fixed showing 'undefined' on guide details scene
- Added original airdate to guide details
- Added (english) Wikipedia search
- Don't auto-capitalize preference fields
- Video app opens after download complete
- Rework preferences scene
- Removed alternate upcoming grabber
- Add help button to welcome page
- Removed theme selector - only have 'palm-dark' theme
- Added subtitle and host to jobqueue list on status
- Added refresh to guide details scene that aren't currently showing
- Recorded list screenshots now match recorded details screenshot

Release 0.3.7:

- (Limited beta release)
- Added in logging of screenshots and channel icons for debugging help
- Added new method for showing upcoming recording list using MythWeb website instead of script
- Added support for Basic webserver security for new upcoming list and downloading/streaming files (doesn't support Digest security)

Release 0.3.6:

- Add counts to upcoming and recorded lists
- Added filesize to recorded detail
- Fixed displaying of active groups on recorded list
- Have capability to save recorded list, but disabled due to performance
- Convert upcoming details to XML data source
- Setup recording now back to normal web browser to allow more control
- Can search upcoming list for category

Release 0.3.5:

- Setup recording now runs as card inside App
- Converted recorded to using XML backend
- Added lookup of IPs for backends (for use in getting preview images)
- Added ability to download or stream recordings to phone (experimental)

Release 0.3.4:

- Link to edit recording on upcoming recording detail
- Added channel number to upcoming list
- Added FAQ about using the non-mobile mythweb site for setup recording
- Shows more of remote title if too long
- Show category on upcoming detail scene
- Shows selected sorting on recorded list
- Center channel number on guide scene when selected no channel icon
- Refresh buttons on upcoming and recorded lists
- Filter list now clears when sort change on recorded and guide
- Guide channel showing does not offset incorrectly if in early morning
- Reformat recorded list
- Can now search recorded list for channel name and category
- Round corners of main icon (looks kinda pixelated)

Release 0.3.3:

- Check for updates under help menu
- Fix jump and pause buttons on master remote
- Cleanup volume up icon on remotes
- Added delete button to master remote
- Tweak size of some buttons on master remote
- Tweak guide URL to fix problem when was password protected
- Can now search upcoming list by channel name
- Can edit upcoming schedule on upcoming details
- Can sort recorded list by category

Release 0.3.2:

- Added more dashboard remote scenes
- Added icons to remote scenes in place of text
- Fix 30 min offset in guide when picking time
- Fix 'Loading...' text jumping on screen

Release 0.3.1:

- Dashboard remote now works on lock screen
- Minor tweaks to status scene
- Added more selections for help dropdown
- Added changelog, FAQs and tips scenes

Release 0.3.0:

- Added dashboard remote
- Added links to mythweb in guide for creating new recordings
- Guide now remembers last 10 channels touched
- Guide now shows arrows if program started earlier or goes later

Release 0.2.9:

- Fix MB label in status storage
- Added 1/2 hour scrolling for guide
- Seperate settings for jump to remote on Guide
- Update to guide list layout
- Able to sort guide by title and category
- Saves last guide sorting choice
- Added image to flick navigation

Release 0.2.8:

- Fix color scheme of time picker in guide
- Fix bug on google search for recorded details
- Removed intermediate hostSelector scene when launching remote from shortcut
- Added global shortcuts inside app
- Guide jumps to currently showing on channel list if today
- Reworked how host cookie is saved, hopefully made more robust
- Shake to reload on recorded, upcoming, guide, status list
- Added back key to flick scene

Release 0.2.7:

- Added channel icon to upcoming details scene
- Mobile versions of google and IMDB searches
- Improve guide navigation
- Added guide details scene
- Can jump to live tv from guide listings
- Added commas to sizes of storage locations on status scene

Release 0.2.6:

- Added Guide scene that can list by channel or time
- Add option to email developer directly under help
- Check for deselecting current remote scene in preferences
- Fixed bug that made 'numbers' remote scene always become enabled in the preferences scene

Release 0.2.5:

- Fix bug in not able to save preferences on first run

Release 0.2.4:

- Removed save button to save preferences (just swipe back)
- Some formatting change to status
- Can manually set master IP address
- Defaults to start remoet screne after starting recording, can disable
- Add 'master' and 'numbers' scene
- Added loading overlay scrim to status

Release 0.2.3:

- Changed switching between remote screens to view menu (top) instead of commandmenu (bottom)
- Users can now turn off remote screnes they do not want
- Added channel icons to upcoming and cleaned up display text
- Cleaned up display on recorded list
- Now shows master backend IP on welcome page
- Fix bug of taps occuring after flick
- Warn against webserver name starting with http or Http

Release 0.2.2:

- Added backend status information (uses backend IP address from settings table)
- Added options for vibration and fullscreen on remote scenes
- Added gesture remote scene as proof of concept; having problems with look and registering touches and flicks together

Release 0.2.1:

- Removed python scripts that caused rejection from Palm

Release 0.2.0:

- Update webmyth.py script to version 4 to fix executable issue
- Script now IMPORTS.requires user to setup their DB settings
- Added support to palm-dark theme

Release 0.1.9:

- New webmyth.py script that uses mythtv python bindings; replaces old scripts
- Initial support for upcoming recordings w/detailed scene
- Conversion of frontends to JSON cookie instead of DB table
- Shows screenshots from recorded programs (kinda slow to load)
- Cleanup of recorded list
- Saving of remote scene for forward swipe shortcut
- Unfortunately no more feedback for remote

Release 0.1.8:

- Updates both scripts to version 2
- Can now search for frontends availible on backend via SQL
- Some bug fixes to playing recordings when not on list of recordings on frontend
- Some feedback given on remote errors

Release 0.1.7:

- Update to webmyth-mysql.php script for showing upcoming recordings
- Setup version in php script for future updates
- Optimize recorded detail scene
- Add help to menu that describes the need for server-side scripts
- Help screen shows on first run

Relase 0.1.6:

- Moved server setup checking to first scene
- Added filtering by recgroup to 'recorded' scene
- New details scene for recorded programs
- can start playback directly from scene

Release 0.1.5:

- Fixed typo in About screen linking to homepage

Release 0.1.4:

- List of recorded now sorts by date and title, and deleted items have strikethrough
- Spinner widget on recorded list while waiting for data
- Full recorded table gets saved locally for future use
- Falls back to locally saved recorded data when cannot get remote data
- Fixed bug of upgrades from earlier verions not getting default server scripts in setting
- Script files now have basic information on where to install

Release 0.1.3:

- Can now list recorded shows on backend
- Recorded shows are alphabetized and searchable
- Recorded shows are stored to local DB, but views currently only come from AJAX request
- Displays all shows (included deleted ones)
- (Details of shows still work in progress)
- (Should add in more error checking)

Release 0.1.2:

- More function rewriting
- Added new welcome screen to select remote or recorded shows
- Added ability to set server script locations

Release 0.1.1:

- Rewrite of several functions for better code reuse

Release 0.1.0: Intial Release

- Requires use of server script to use telnet communications with frontend